xquery version "3.1";

(: ~
 : This module contains unit tests for kmg-rest.xqm.
 :
 : @author Simon Sendler
 : @since 1.3.0
 :)

module namespace tstapi="http://mollenhauer-edition.de/ns/tstapi";

declare namespace tei="http://www.tei-c.org/ns/1.0";

import module namespace test="http://exist-db.org/xquery/xqsuite" at "resource:org/exist/xquery/lib/xqsuite/xqsuite.xql";
import module namespace kmg-rest="https://mollenhauer-edition.de/ns/kmg-rest" at "../modules/kmg/kmg-rest.xqm";

declare
    %test:args("2021-04-23T15:37:25.176+02:00") %test:assertEquals("23.4.2021, 15:37:25.176")
    %test:args("2021-10-02T15:07:01.17+02:00") %test:assertEquals("2.10.2021, 15:7:1.17")
function tstapi:date-to-string($date as xs:dateTime)
as xs:string
{
    kmg-rest:date-to-string($date)
};
